<?php

/*
 *	:    (v. 1.0)
 *	:	InstantCSM 1.5.3
 *	: Anatoly B. anatoly@bashtannik.com
 */

if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

function applet_clearcache(){

    $inCore = cmsCore::getInstance();
    $inConf = cmsConfig::getInstance();

	//check access
	global $adminAccess;
	if (!$inCore->isAdminCan('admin/config', $adminAccess)) { cpAccessDenied(); }

	$url = $_SERVER['DOCUMENT_ROOT'].'/cache/';	//    
	$file_error = array();
	$message_error = '';

	if (is_dir($url)) {	//,   

		if ($dir = opendir($url)) {	//,    

		$file_count_all = 0;	//  
		$file_count_unlink = 0;	//  
		$file_count_error = 0;	//   

			while ($file = readdir($dir)) {	// 

				if ( is_file($url.$file) )
					$file_count_all += 1;			//   

				//  
				if ( ($file != '.') and				//    
					 ($file != '..') and			//  
					 ($file != '.htaccess') and		//    ,    
					 ($file != 'index.html') ) {	//   

						$unlink_answer = unlink($url.$file);	//   

						if($unlink_answer)
							$file_count_unlink += 1;
						else
							$file_count_error += 1;	//   

				}
			}

		closedir($dir);	// 
		}
	}

/* -------------- Show resume ---------------------------------------------------------------- */	

	echo '<h3>  </h3>';

	cpAddPathway('  ', 'index.php?view=clearcache');

	echo '<div style="color:green">  !</div>'; 
	echo '<div style="margin-top:3px; margin-bottom:30px">
	   : &laquo;'.$url.'&raquo;<br />
	   : '.$file_count_all.';<br />
	 : '.$file_count_unlink.';<br />
	   : '.$file_count_error.'.</div>';

}
?>